Subject: [bug#72205] [PATCH 1/4] gnu: Add kdsingleapplication.

From: Timotej Lazar <[email-masked]>
Date: Wed, 31 Jul 2024 14:28:27 +0200

(Sending again to include the list.)

Thanks for the review! The patches have already been merged, but I’ll send another one fixing the issues you point out.

Maxim Cournoyer <[email-masked]> [2024-07-31 15:05:21+0900]:
> Timotej Lazar <[email-masked]> writes:
>> +      #:configure-flags
>> +      #~(list "-DKDSingleApplication_QT6=true" "-DKDSingleApplication_TESTS=true")))
>
> That's a nitpick, but my impression was that ON/OFF as boolean value for
> CMake were more common (or YES/NO).

I went by the build instructions¹ but I’ll change it to be consistent with (most) other packages.

>> +    (license (list license:bsd-3 license:expat))))
>
> Is it dual licensed? Or which files/section of the source is covered by
> which? A comment is needed.

No, some build files are licensed differently. I meant to add a comment but forgot.

¹ https://github.com/KDAB/KDSingleApplication/blob/1.1/INSTALL.txt